/***************************************************************************
                          guigettransactions.h  -  description
                             -------------------
    begin                : Sa Nov 6 2004
    copyright            : (C) 2004 by Marcel Mulch
    email                : marcel@mulch-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUIGETTRANSACTIONS_H
#define GUIGETTRANSACTIONS_H

#include <qwidget.h>
#include <qwidgetstack.h>
#include <guigettransactionsbase.h>
#include "guimain.h"
#include "hobit.h"

class GuiMain;

/** 
* class for get all transactions and place them in the transaction list
*/
class GuiGetTransactions : public GuiGetTransactionsBase  {
   Q_OBJECT
public: 

/**
*this is the constructor for transactions to transaction list
*
*@param main 
*@param parent the parent dialog of this widget
*@param name widgets title
*@param hobit
*/
GuiGetTransactions( QWidget *parent, GuiMain* guimain, const char *name=0, HoBIT* hobit = 0);
    virtual ~GuiGetTransactions();
    /** 
    * look what transactions the user choosed for get 
    */
    virtual  void accept();
    /** Called on show. Sets current account.
    */
    void showEvent ( QShowEvent * );
   
    /** set hobit object*/
    void setHoBIT(HoBIT* hobit){
      _hobit = hobit;
    }
     
signals:
   void sendNow();
   void raiseWidget(int);
   
private:
   HoBIT* _hobit;
   GuiMain* _main;

private:
//    void doLayout();
};

#endif
