/***************************************************************************
                          guihbciversion.h  -  description
                             -------------------
    begin                : Fr Nov 5 2004
    copyright            : (C) 2004 by Marcel Mulch
    email                : marcel@mulch-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUIHBCIVERSION_H
#define GUIHBCIVERSION_H

#include <qwidget.h>
#include <qcombobox.h>
#include <guihbciversionbase.h>
#include <qmessagebox.h>
#include "hobit.h"
#include "guimain.h"

class GuiMain;

/**
  * This is a short dialog to change the hbci-version
  */

class GuiHbciVersion : public GuiHbciVersionBase
{
  Q_OBJECT
public:

  /**
  *this is the constructor of dialog for change the hbci-version 
  *
  *@param main 
  *@param parent the parent dialog of this widget
  *@param name widgets title
  *@param hobit
  */
  GuiHbciVersion(QWidget *parent, const char *name=0, HoBIT* hobit = 0);
  ~GuiHbciVersion();


/** set hobit object*/
  void setHoBIT(HoBIT* hobit){
   _hobit = hobit;
  }
signals:
  void refreshRequest();
private:
  HoBIT* _hobit;
  GuiMain* _main;
public slots: // Public slots

  /**
  * Changes the Hbci Version when the user chooses ok 
  */
  void accept();
};

#endif
