/***************************************************************************
                          guisingletransfer.h  -  description
                             -------------------
    begin                : Mo Nov 8 2004
    copyright            : (C) 2004 by Marcel Mulch
    email                : marcel@mulch-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUISINGLETRANSFER_H
#define GUISINGLETRANSFER_H

#include <qwidget.h>
#include <qwidgetstack.h>
#include "hobit.h"
#include <qwidgetstack.h>
#include <guitransferform.h>
#include "guimain.h"

class GuiMain;

/**
*Form for single transfers with validation
*/
class GuiSingleTransfer : public GuiTransferForm
{
  Q_OBJECT
public:

  /**
  *constructor of GuiSingleTransfer
  *
  *@param main a pointer on moneypenny´s main class
  *@param parent a pointer on the main widgets widget stack
  *@param name widgets title
  *@param hobit the hobit object, needed for hbci functions
  */
  GuiSingleTransfer( QWidget *parent, const char *name=0, HoBIT* hobit = 0);

  /**
  *destructor of GuiSingleTransfer
  */
  virtual ~GuiSingleTransfer();
  
protected:

/** Creates a single transfer job and reurns true on success.
  */
 virtual bool createJob();
};

#endif
